#!/bin/bash

### BEGIN INIT INFO
# Provides:          sendhelloprowlmessage
# Required-Start:    $local_fs $syslog
# Required-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:     
# Short-Description: Send hello message after boot
# Description:       Send hello message after boot
### END INIT INFO

export PYTHONPATH=/usr/local/lib/python

# Sleep 5 seconds to allow NTP to adjust time before sending hello message
sleep 5

/usr/local/bin/sendprowlmessage 'Starting up' "$(ifconfig | grep -v 127.0.0.1 | awk '{if ($1=="inet") print a, substr($2,6,length($2)); else a=$1;}')" 0
